Bug Hunting Session
Bug 113605 - TABLES: Column/row properties of cells should be preserved on copy into an existing table (Paste Special should insert the source unformatted)
Summary: TABLES: Column/row properties of cells should be preserved on copy into an ex...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL: https://help.libreoffice.org/6.2/en-U...
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-11-02 15:56 UTC by Christian Lehmann
Modified: 2019-10-16 02:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test table in Writer (11.17 KB, application/3dr)
2018-10-08 13:18 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Lehmann 2017-11-02 15:56:23 UTC
If I copy a column/row, then I want to copy its properties with it. This includes background shading of cells. Currently, this is not reproduced.
Comment 1 Dieter Praas 2017-11-04 08:07:07 UTC
I assume, that background shading is the same as background colour.

1. Open writer and create a table.
2. Set background colour to some cells.
3. Copy the row, containing this cells

a) Paste it in an existing table => background colour doesn't persist
b) Paste it as a new table => background colour persists

I haven't proved, if this is the same with other properties.
Comment 2 Christian Lehmann 2017-11-04 09:30:50 UTC
Thanks for the additional precision, confirmed.

So the bug is: Cell properties (color, shading, borders) are not preserved upon copying a cell or column or row into an existent table (no matter whether the same or another one).

Cell properties are preserved if a new table is created by the transferred material.

This is inconsistent: Cell properties should always be preserved upon copy or cut operations.
Comment 3 Timur 2018-10-08 13:18:43 UTC
Created attachment 145468 [details]
Test table in Writer

We need to reconsider this one. 
On a simple copy to existing table, we copy cell content and don't want to copy whole cells including properties like color and border. 
We should have an option for that and that's via Paste special. 

From what I see, when we copy cells or row (like red row 3) to the existing table (ex. to row 5), from 6.2+ we have somewhat better RTF copying properties but it's still not correct with cells content (cell content from 1st column repeated).
Comment 4 Heiko Tietze 2018-10-15 09:12:33 UTC
Tables can have a direct formatting (cell background or font color, for example, set) and a styles (also known as Table > Autoformat Styles... from the past, now available as Table Style in the sidebar). Copy/paste should preserve the formatting but Paste Special should allow to insert the source unformatted. When copying content from a table with style (let's say even column with shading) the target style has to be used (similar discussion on what should happens for copy/paste with styles but for slides in bug 112697).
Comment 5 QA Administrators 2019-10-16 02:30:19 UTC
Dear Christian Lehmann,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug